commit:     f14caedf46956b4bfd20fa5517774d9f11bf8bda
Author:     Ian Jordan <immoloism <AT> gmail <DOT> com>
AuthorDate: Mon Dec 18 05:50:41 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Dec 21 11:49:46 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f14caedf

app-editors/pluma: add 1.27.0

Signed-off-by: Ian Jordan <immoloism <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-editors/pluma/Manifest            |  1 +
 app-editors/pluma/pluma-1.27.0.ebuild | 78 +++++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/app-editors/pluma/Manifest b/app-editors/pluma/Manifest
index 5a3e22c48c59..71093a906c38 100644
--- a/app-editors/pluma/Manifest
+++ b/app-editors/pluma/Manifest
@@ -1 +1,2 @@
 DIST pluma-1.26.0.tar.xz 3765056 BLAKE2B 
4a3107df7c4ba906d405b5ef3ea6dd9ca0e372a7b00224213fc8a60d1dc26663d1363aa7f0569b0242407f5b5d850386308fae9192c4a33f577295bb55ef5a16
 SHA512 
a6c0cee7110f4863e44af51b19bb528f0f3570eab8db98038152bf142eedde97ac13b896deff7051b941a0f43c6fe14e316a97eba40fe5d4854d76038450245f
+DIST pluma-1.27.0.tar.xz 3820196 BLAKE2B 
877b1856154e79aade7b709b5da0584cb426f07d69305d98af6f9954b8934f99241b750c0322ca7418db69c6fac1b4a1b6d8ffc3e75b441ffa5760ec0cd1d1d3
 SHA512 
ce2ab6fb4f7cfa93b8b1c22a80b4a688f63f9ec61fd173c22684a9cb49a83551cc9e5ed45a04cec23683d85be059615d90abd7d6b7e4b3bf1b3d6287d4292f78

diff --git a/app-editors/pluma/pluma-1.27.0.ebuild 
b/app-editors/pluma/pluma-1.27.0.ebuild
new file mode 100644
index 000000000000..1b83674dfde5
--- /dev/null
+++ b/app-editors/pluma/pluma-1.27.0.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MATE_LA_PUNT="yes"
+PYTHON_COMPAT=( python3_{9..11} )
+inherit mate python-single-r1 virtualx
+
+DESCRIPTION="Pluma text editor for the MATE desktop"
+
+LICENSE="FDL-1.1+ GPL-2+ LGPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~riscv ~x86"
+IUSE="+introspection spell test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+COMMON_DEPEND="
+       dev-libs/atk
+       >=dev-libs/glib-2.50:2
+       >=dev-libs/libpeas-1.2.0:0[gtk]
+       >=dev-libs/libxml2-2.5:2
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf:2
+       >=x11-libs/gtk+-3.22:3[introspection?]
+       >=x11-libs/gtksourceview-4.0.2:4
+       x11-libs/libICE
+       x11-libs/libX11
+       >=x11-libs/libSM-1.0
+       x11-libs/pango
+       introspection? ( >=dev-libs/gobject-introspection-0.9.3:= )
+       spell? (
+               >=app-text/enchant-1.6:=
+               >=app-text/iso-codes-0.35
+       )
+"
+RDEPEND="${COMMON_DEPEND}
+       ${PYTHON_DEPS}
+       >=mate-base/mate-desktop-1.9[introspection?]
+       virtual/libintl
+"
+DEPEND="${COMMON_DEPEND}
+       ~app-text/docbook-xml-dtd-4.1.2
+       app-text/yelp-tools
+       dev-util/glib-utils
+       dev-util/gtk-doc
+       dev-util/gtk-doc-am
+       >=sys-devel/libtool-2.2.6:2
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+"
+
+MATE_FORCE_AUTORECONF=true
+
+src_prepare() {
+       # Test require gvfs sftp fs mounted and schema's installed. Skip this 
one.
+       # https://github.com/mate-desktop/mate-text-editor/issues/33
+       sed -e '/+= document-saver/d' -i tests/Makefile.am || die
+
+       mate_src_prepare
+}
+
+src_configure() {
+       mate_src_configure \
+               $(use_enable introspection) \
+               $(use_enable spell) \
+               $(use_enable test tests)
+}
+
+src_test() {
+       # FIXME: This should be handled at eclass level.
+       "${EPREFIX}/${GLIB_COMPILE_SCHEMAS}" --allow-any-name "${S}/data" || die
+
+       unset DBUS_SESSION_BUS_ADDRESS
+       local -x GSETTINGS_SCHEMA_DIR="${S}/data"
+       virtx emake check
+}

Reply via email to